Bug Hunting Session
Bug 98389 - FILEOPEN Calc crashes on opening xlsx document
Summary: FILEOPEN Calc crashes on opening xlsx document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.6.2 release
Hardware: All All
: medium critical
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-03-03 15:58 UTC by Winfried Donkers (retired)
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
document causing crash (118.49 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-03-03 15:58 UTC, Winfried Donkers (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2016-03-03 15:58:17 UTC
Created attachment 123203 [details]
document causing crash

When opening the attached document, LibreOffice crashes.
Crash occurs with
-version 5.0.5.2, Windows (hard crash)
-version 5.0.4.2, openSUSE 42.1 (general i/o failure)
-master 5.2.0.0alpha0+, openSUSE 42.1

Crash does not occur when opening with version 4.2 (openSUSE 13.1); there document opens and shows no problems.

(Document also opens without problems in MS Excel.)
Comment 1 Winfried Donkers (retired) 2016-03-03 16:01:17 UTC
backtrace from gdb with master:
#0  0x00002aaaab3130a7 in raise () at /lib64/libc.so.6
#1  0x00002aaaab314458 in abort () at /lib64/libc.so.6
#2  0x00002aaaabd45b8d in __gnu_cxx::__verbose_terminate_handler() () at /usr/lib64/libstdc++.so.6
#3  0x00002aaaabd43bf6 in  () at /usr/lib64/libstdc++.so.6
#4  0x00002aaaabd43c41 in  () at /usr/lib64/libstdc++.so.6
#5  0x00002aaaabd43c56 in  () at /usr/lib64/libstdc++.so.6
#6  0x00002aaaabd438b2 in __cxa_call_unexpected () at /usr/lib64/libstdc++.so.6
#7  0x00002aaae67505d9 in oox::core::FastParser::parseStream(com::sun::star::xml::sax::InputSource const&, bool) (this=0x7ffffffee770, rInputSource=..., bCloseStream=false) at /oox/source/core/fastparser.cxx:112
#8  0x00002aaae675064d in oox::core::FastParser::parseStream(com::sun::star::uno::Reference<com::sun::star::io::XInputStream> const&, rtl::OUString const&, bool) (this=0x7ffffffee770, rxInStream=..., rStreamName=..., bCloseStream=false)
    at /oox/source/core/fastparser.cxx:126
#9  0x00002aaae677cdd3 in oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&, oox::core::FastParser&) (this=0x2baa410, rxHandler=..., rParser=...)
    at /oox/source/core/xmlfilterbase.cxx:356
#10 0x00002aaae677ca8e in oox::core::XmlFilterBase::importFragment(rtl::Reference<oox::core::FragmentHandler> const&) (this=0x2baa410, rxHandler=...) at /oox/source/core/xmlfilterbase.cxx:298
#11 0x00002aaaea901e2e in oox::xls::ExcelFilter::importDocument() (this=0x2baa410)
    at /sc/source/filter/oox/excelfilter.cxx:102
#12 0x00002aaae6756828 in oox::core::FilterBase::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x2baa410, rMediaDescSeq=...) at /oox/source/core/filterbase.cxx:484
#13 0x00002aaaea902362 in oox::xls::ExcelFilter::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x2baa410, rDescriptor=...) at /sc/source/filter/oox/excelfilter.cxx:156
#14 0x00002aaaaec2d8ff in SfxObjectShell::ImportFrom(SfxMedium&, com::sun::star::uno::Reference<com::sun::star::text::XTextRange> const&) (this=0x2b109c0, rMedium=..., xInsertPosition=...)
    at /sfx2/source/doc/objstor.cxx:2265
#15 0x00002aaaaec25e2e in SfxObjectShell::DoLoad(SfxMedium*) (this=0x2b109c0, pMed=0x2ad0e00)
    at /sfx2/source/doc/objstor.cxx:764
#16 0x00002aaaaec653f7 in SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x2a97d60, seqArguments=...) at /sfx2/source/doc/sfxbasemodel.cxx:1862
#17 0x00002aaaaed52a2e in (anonymous namespace)::SfxFrameLoader_Impl::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&) (this=0x2a19ea0, rArgs=..., _rTargetFrame=...) at /sfx2/source/view/frmload.cxx:705
#18 0x00002aaacc26bbca in framework::LoadEnv::impl_loadContent() (this=0x28bc880)
    at /framework/source/loadenv/loadenv.cxx:1108
#19 0x00002aaacc268189 in framework::LoadEnv::startLoading() (this=0x28bc880)
    at /framework/source/loadenv/loadenv.cxx:382
#20 0x00002aaacc1f1f7e in framework::LoadDispatcher::impl_dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) (this=0x28bc820, rURL=..., lArguments=..., xListener=...)
    at /framework/source/dispatch/loaddispatcher.cxx:115
#21 0x00002aaacc1f1c60 in framework::LoadDispatcher::dispatchWithReturnValue(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x28bc820, rURL=..., lArguments=...)
    at /framework/source/dispatch/loaddispatcher.cxx:62
#22 0x00002aaaac9ff0be in comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, int, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (xStartPoint=..., sURL=..., sTarget=..., nFlags=0, lArguments=...)
    at /comphelper/source/misc/synchronousdispatch.cxx:64
#23 0x00002aaaae916613 in SfxApplication::OpenDocExec_Impl(SfxRequest&) (this=0x1850300, rReq=...)
    at /sfx2/source/appl/appopen.cxx:1049
#24 0x00002aaaae90e3aa in SfxStubSfxApplicationOpenDocExec_Impl(SfxShell*, SfxRequest&) (pShell=0x1850300, rReq=...)
    at /workdir/SdiTarget/sfx2/sdi/sfxslots.hxx:1235
#25 0x00002aaaaea078c4 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) (this=0x1850300, pFunc=0x2aaaae90e387 <SfxStubSfxApplicationOpenDocExec_Impl(SfxShell*, SfxRequest&)>, rReq=...)
    at /include/sfx2/shell.hxx:204
#26 0x00002aaaae9fef23 in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) (this=0x2070010, rShell=..., rSlot=..., rReq=..., bRecord=false) at /sfx2/source/control/dispatch.cxx:263
#27 0x00002aaaaea01be1 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, SfxCallMode) (this=0x2070010, rShell=..., rSlot=..., rReq=..., eCallMode=SfxCallMode::SYNCHRON)
    at /sfx2/source/control/dispatch.cxx:853
#28 0x00002aaaaea0252b in SfxDispatcher::Execute(unsigned short, SfxCallMode, unsigned short, SfxItemSet const&) (this=0x2070010, nSlot=5501, eCall=SfxCallMode::SYNCHRON, nModi=0, rArgs=...)
    at /sfx2/source/control/dispatch.cxx:1016
#29 0x00002aaaaea0239e in SfxDispatcher::Execute(unsigned short, SfxCallMode, SfxItemSet const&) (this=0x2070010, nSlot=5501, eCall=SfxCallMode::SYNCHRON, rArgs=...) at /sfx2/source/control/dispatch.cxx:994
#30 0x00002aaaae914c5d in SfxApplication::OpenDocExec_Impl(SfxRequest&) (this=0x1850300, rReq=...)
    at /sfx2/source/appl/appopen.cxx:696
#31 0x00002aaaae90e3aa in SfxStubSfxApplicationOpenDocExec_Impl(SfxShell*, SfxRequest&) (pShell=0x1850300, rReq=...)
    at /workdir/SdiTarget/sfx2/sdi/sfxslots.hxx:1235
#32 0x00002aaaaea078c4 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) (this=0x1850300, pFunc=0x2aaaae90e387 <SfxStubSfxApplicationOpenDocExec_Impl(SfxShell*, SfxRequest&)>, rReq=...)
    at /include/sfx2/shell.hxx:204
#33 0x00002aaaae9fef23 in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) (this=0x2070010, rShell=..., rSlot=..., rReq=..., bRecord=false) at /sfx2/source/control/dispatch.cxx:263
#34 0x00002aaaaea01be1 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, SfxCallMode) (this=0x2070010, rShell=..., rSlot=..., rReq=..., eCallMode=(SfxCallMode::SYNCHRON | SfxCallMode::API))
    at /sfx2/source/control/dispatch.cxx:853
#35 0x00002aaaaea027cf in SfxDispatcher::Execute(unsigned short, SfxCallMode, SfxPoolItem const*, ...) (this=0x2070010, nSlot=5501, eCall=(SfxCallMode::SYNCHRON | SfxCallMode::API), pArg1=0x7fffffff2230)
    at /sfx2/source/control/dispatch.cxx:1071
#36 0x00002aaad1558fdc in SwDocShell::Execute(SfxRequest&) (this=0x1fd7100, rReq=...)
    at /sw/source/uibase/app/docsh2.cxx:1140
#37 0x00002aaad154e1aa in SfxStubSwDocShellExecute(SfxShell*, SfxRequest&) (pShell=0x1fd7100, rReq=...)
    at /workdir/SdiTarget/sw/sdi/swslots.hxx:1348
#38 0x00002aaaaea078c4 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) (this=0x1fd7100, pFunc=0x2aaad154e187 <SfxStubSwDocShellExecute(SfxShell*, SfxRequest&)>, rReq=...)
    at /include/sfx2/shell.hxx:204
#39 0x00002aaaae9fef23 in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, bool) (this=0x2070010, rShell=..., rSlot=..., rReq=..., bRecord=true) at /sfx2/source/control/dispatch.cxx:263
#40 0x00002aaaaea01be1 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, SfxCallMode) (this=0x2070010, rShell=..., rSlot=..., rReq=..., eCallMode=SfxCallMode::RECORD)
    at /sfx2/source/control/dispatch.cxx:853
#41 0x00002aaaae9eabe7 in SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) (this=0x2074dd0, aReq=..., pSlot=0x2aaad2464c20 <aSwDocShellSlots_Impl+1760>, pShell=0x1fd7100)
    at /sfx2/source/control/bindings.cxx:1251
#42 0x00002aaaaea6ce8e in SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) (this=0x29d3210, aURL=..., aArgs=..., rListener=...)
    at /sfx2/source/control/unoctitm.cxx:874
#43 0x00002aaaaea6a8a9 in SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (this=0x29d2f70, aURL=..., aArgs=...)
    at /sfx2/source/control/unoctitm.cxx:366
#44 0x00002aaab0f15b69 in svt::ToolboxController::execute(short) (this=0x23cf790, KeyModifier=0)
    at /svtools/source/uno/toolboxcontroller.cxx:362
#45 0x00002aaacc395153 in framework::ToolBarManager::Select(ToolBox*) (this=0x232fe60)
    at /framework/source/uielement/toolbarmanager.cxx:1761
#46 0x00002aaacc395007 in framework::ToolBarManager::LinkStubSelect(void*, ToolBox*) (instance=0x232fe60, data=
    0x232e8f0) at /framework/source/uielement/toolbarmanager.cxx:1747
#47 0x00002aaab2afc5fd in Link<ToolBox*, void>::Call(ToolBox*) const (this=0x232ee08, data=0x232e8f0)
    at /include/tools/link.hxx:84
#48 0x00002aaab2af5248 in ToolBox::Select() (this=0x232e8f0)
    at /vcl/source/window/toolbox2.cxx:438
#49 0x00002aaab2b1030f in ToolBox::ImplHandleMouseButtonUp(MouseEvent const&, bool) (this=0x232e8f0, rMEvt=..., bCancel=false) at /vcl/source/window/toolbox.cxx:3546
#50 0x00002aaab2b12151 in ToolBox::Tracking(TrackingEvent const&) (this=0x232e8f0, rTEvt=...)
    at /vcl/source/window/toolbox.cxx:4051
#51 0x00002aaab2b24ba1 in vcl::Window::EndTracking(TrackingEventFlags) (this=0x232e8f0, nFlags=TrackingEventFlags::NONE)
    at /vcl/source/window/window2.cxx:368
#52 0x00002aaab2b4ed47 in ImplHandleMouseEvent(VclPtr<vcl::Window> const&, MouseNotifyEvent, bool, long, long, unsigned long, unsigned short, MouseEventModifiers) (xWindow=..., nSVEvent=MouseNotifyEvent::MOUSEBUTTONUP, bMouseLeave=false, nX=75, nY=50, nMsgTime=106360996, nCode=1, nMode=(MouseEventModifiers::SIMPLECLICK | MouseEventModifiers::SELECT))
    at /vcl/source/window/winproc.cxx:709
#53 0x00002aaab2b55a77 in ImplHandleSalMouseButtonUp(vcl::Window*, SalMouseEvent*) (pWindow=0x1efc8e0, pEvent=0x7fffffff4230) at /vcl/source/window/winproc.cxx:2034
#54 0x00002aaab2b541ec in ImplWindowFrameProc(vcl::Window*, unsigned short, void const*) (_pWindow=0x1efc8e0, nEvent=4, pEvent=0x7fffffff4230) at /vcl/source/window/winproc.cxx:2378
#55 0x00002aaac4e755b1 in SalFrame::CallCallback(unsigned short, void const*) const (this=
    0x1f26e50, nEvent=4, pEvent=0x7fffffff4230) at /vcl/inc/salframe.hxx:269
#56 0x00002aaac4e70a56 in GtkSalFrame::signalButton(_GtkWidget*, _GdkEventButton*, void*) (pEvent=0x27e7170, frame=0x1f26e50) at /vcl/unx/gtk3/gtk3gtkframe.cxx:2598
#57 0x00002aaac53149bc in  () at /usr/lib64/libgtk-3.so.0
#58 0x00002aaaba695018 in g_closure_invoke () at /usr/lib64/libgobject-2.0.so.0
#59 0x00002aaaba6a622d in  () at /usr/lib64/libgobject-2.0.so.0
#60 0x00002aaaba6ada78 in g_signal_emit_valist () at /usr/lib64/libgobject-2.0.so.0
#61 0x00002aaaba6ae062 in g_signal_emit () at /usr/lib64/libgobject-2.0.so.0
#62 0x00002aaac5442fbc in  () at /usr/lib64/libgtk-3.so.0
#63 0x00002aaac531210c in  () at /usr/lib64/libgtk-3.so.0
#64 0x00002aaac5313c16 in gtk_main_do_event () at /usr/lib64/libgtk-3.so.0
#65 0x00002aaac5a3d3d2 in  () at /usr/lib64/libgdk-3.so.0
#66 0x00002aaaba920c84 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#67 0x00002aaaba920ed8 in  () at /usr/lib64/libglib-2.0.so.0
#68 0x00002aaaba920f7c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#69 0x00002aaac4e108d4 in GtkData::Yield(bool, bool) (this=0x6e3f40, bWait=true, bHandleAllCurrentEvents=false)
    at /vcl/unx/gtk3/../gtk/gtkdata.cxx:608
#70 0x00002aaac4e13841 in GtkInstance::DoYield(bool, bool, unsigned long) (this=
    0x6f1150, bWait=true, bHandleAllCurrentEvents=false, nReleased=0)
    at /vcl/unx/gtk3/../gtk/gtkinst.cxx:407
#71 0x00002aaab2f08ea2 in ImplYield(bool, bool, unsigned long) (i_bWait=true, i_bAllEvents=false, nReleased=0)
    at /vcl/source/app/svapp.cxx:509
#72 0x00002aaab2f051b6 in Application::Yield() () at /vcl/source/app/svapp.cxx:535
#73 0x00002aaab2f05112 in Application::Execute() () at /vcl/source/app/svapp.cxx:471
#74 0x00002aaaaaf9b8f3 in desktop::Desktop::DoExecute() () at /desktop/source/app/app.cxx:1282
#75 0x00002aaaaaf9ca19 in desktop::Desktop::Main() (this=0x7fffffff5330)
    at /desktop/source/app/app.cxx:1607
#76 0x00002aaab2f1125a in ImplSVMain() () at /vcl/source/app/svmain.cxx:167
#77 0x00002aaab2f11379 in SVMain() () at /vcl/source/app/svmain.cxx:204
#78 0x00002aaaaafe6472 in soffice_main() () at /desktop/source/app/sofficemain.cxx:141
#79 0x0000000000400954 in sal_main () at /desktop/source/app/main.c:48
#80 0x000000000040093a in main (argc=4, argv=0x7fffffff5628) at /desktop/source/app/main.c:47
Comment 2 raal 2016-03-03 16:05:19 UTC
Confirm 
General Error.
General input/output error.

Version: 5.2.0.0.alpha0+
Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47
Comment 3 Winfried Donkers (retired) 2016-03-04 06:27:14 UTC
Also crash with version 4.4.7.2 (Windows)
Lock file remains after crash.
Comment 4 raal 2016-03-04 09:41:30 UTC
This seems to have begun at the below commit.
Adding Cc: to Eike Rathke; Could you possibly take a look at this one? Thanks

19440c571293f5a27ffa8ffba4b85576a0f57c5a is the first bad commit
commit 19440c571293f5a27ffa8ffba4b85576a0f57c5a
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri May 15 05:05:08 2015 -0500

    source sha:069698de192ef7e8d3582398e4542c175cabb987

    source sha:069698de192ef7e8d3582398e4542c175cabb987

author	Eike Rathke <erack@redhat.com>	2014-12-22 20:14:11 (GMT)
committer	Eike Rathke <erack@redhat.com>	2014-12-22 20:17:18 (GMT)
commit	069698de192ef7e8d3582398e4542c175cabb987 (patch)
tree	e8b1b45c7ae1828ae05ee18c35b2f0ff27cbb453
parent	7bdf445a5a6932615d20b44e15df046dbec665e6 (diff)
fdo#85258 differentiate between empty cell and empty result in matrix
Comment 5 Winfried Donkers (retired) 2016-03-04 10:03:07 UTC
(In reply to Winfried Donkers from comment #0)
> Crash does not occur when opening with version 4.2 (openSUSE 13.1); there
> document opens and shows no problems.

Correction : version 4.1.6.2
Comment 6 Eike Rathke 2016-03-04 12:58:48 UTC
I doubt the commit mentioned is in any way related to the backtrace..
Comment 7 Winfried Donkers (retired) 2016-03-04 13:00:58 UTC
(In reply to Eike Rathke from comment #6)
> I doubt the commit mentioned is in any way related to the backtrace..

I came to the same conclusion; I'll try to get some more information with gdb for the expert on xlsx-import to use as clues.
Comment 8 Eike Rathke 2016-03-05 11:14:20 UTC
__cxa_call_unexpected() indicates there's an uncaught exception thrown, so actually anything may be the cause.. I'm investigating.
Comment 9 Commit Notification 2016-03-07 12:51:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e60bbdb3aa5f80ca80c9c4fdf7accd12c4a5d1c

Resolves: tdf#98389 check memory requirement of matrix

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-03-07 12:51:03 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=088ba465d6bb0931c7034d564a3077e21078cb13

disable means Enable(false), not true.. tdf#98389 related

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2016-03-07 16:40:20 UTC
Pending review
https://gerrit.libreoffice.org/22988 for 5-1
https://gerrit.libreoffice.org/23003 for 5-0
Comment 12 Winfried Donkers (retired) 2016-03-07 17:02:32 UTC
Verified fixed on master.

Eike, thank you :-)
Comment 13 Commit Notification 2016-03-08 10:13:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cae3a88587deaf22ee83b2e36487013a1220a3b

setCellRangeData: check matrix size before operating, tdf#98389 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-03-08 12:23:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=463cee91dcb503190d9209870367592bac993404&h=libreoffice-5-1

Resolves: tdf#98389 check memory requirement of matrix

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-03-08 17:45:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10f048bafa52bc443249bf7abe23ad5c96f98f80

unit test for tdf#98389 huge external range reference matrix

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-03-09 10:16:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23510e0c61dc92eed37129070d2a2b349b43d686&h=libreoffice-5-0

Resolves: tdf#98389 check memory requirement of matrix

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.